[arch-commits] CVS update of extra/lib/perl-archive-tar (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jun 17 16:54:02 UTC 2007


    Date: Sunday, June 17, 2007 @ 12:54:02
  Author: jgc
    Path: /home/cvs-extra/extra/lib/perl-archive-tar

Modified: PKGBUILD (1.3 -> 1.4)

upgpkg: perl-archive-tar 1.32-1
Fix perl packaging


----------+
 PKGBUILD |   31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)


Index: extra/lib/perl-archive-tar/PKGBUILD
diff -u extra/lib/perl-archive-tar/PKGBUILD:1.3 extra/lib/perl-archive-tar/PKGBUILD:1.4
--- extra/lib/perl-archive-tar/PKGBUILD:1.3	Fri Jun 15 08:26:22 2007
+++ extra/lib/perl-archive-tar/PKGBUILD	Sun Jun 17 12:54:01 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.3 2007/06/15 12:26:22 andyrtr Exp $
+# $Id: PKGBUILD,v 1.4 2007/06/17 16:54:01 jgc Exp $
 # Maintainer: Dale Blount <dale at archlinux.org>
 
 pkgname=perl-archive-tar
@@ -7,22 +7,21 @@
 pkgdesc="Perl module for manipulations of tar archives"
 arch=(i686 x86_64)
 url="http://search.cpan.org/dist/Archive-Tar/"
-depends=('perl>=5.8.4-1')
-source=(http://search.cpan.org/CPAN/authors/id/K/KA/KANE/Archive-Tar-$pkgver.tar.gz)
+depends=('perl>=5.8.8')
+source=(http://search.cpan.org/CPAN/authors/id/K/KA/KANE/Archive-Tar-${pkgver}.tar.gz)
 md5sums=('1e34c57753506996184e6853e24e20af')
 
 build() {
-  cd $startdir/src/Archive-Tar-$pkgver
-  /usr/bin/perl Makefile.PL
-  # ugly hack to make install location
-  # compatible with newer versions of perl.
-  curperlver=`pacman -Q perl | cut -d ' ' -f 2 | cut -d '-' -f 1`
-  /bin/sed -i "s:$curperlver:current:g" Makefile || return 1
-  /usr/bin/make || return 1
-  /usr/bin/make install DESTDIR=$startdir/pkg
-  /bin/rm $startdir/pkg/usr/lib/perl5/current/$CARCH-linux-thread-multi/perllocal.pod
-  /bin/rm $startdir/pkg/usr/lib/perl5/site_perl/current/$CARCH-linux-thread-multi/auto/Archive/Tar/.packlist
-  # remove empties
-  /bin/rm -rf $startdir/pkg/usr/lib/perl5/site_perl/current/$CARCH-linux-thread-multi/
-  /bin/rm -rf $startdir/pkg/usr/lib/perl5/current/
+  cd ${startdir}/src/Archive-Tar-${pkgver}
+  # Force module installation to "current" perl directories.
+  eval `perl -V:archname`
+  perl Makefile.PL \
+    INSTALLARCHLIB=/usr/lib/perl5/current/${archname} \
+    INSTALLSITELIB=/usr/lib/perl5/site_perl/current \
+    INSTALLSITEARCH=/usr/lib/perl5/site_perl/current/${archname}
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+
+  find ${startdir}/pkg -name '.packlist' -exec rm -f {} \;
+  find ${startdir}/pkg -name 'perllocal.pod' -exec rm -f {} \;
 }




More information about the arch-commits mailing list